<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMcuClkCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMcuClkCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmwave radar device MCU Clock output  
 <a href="structrl_mcu_clk_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af351dbb3023d69271063f970f112dfd3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af351dbb3023d69271063f970f112dfd3"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mcu_clk_cfg__t.html#af351dbb3023d69271063f970f112dfd3">mcuClkCtrl</a></td></tr>
<tr class="memdesc:af351dbb3023d69271063f970f112dfd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field controls the enable - disable of the MCU clock. <br />
 Value Description <br />
 0x0 Disable MCU clock <br />
 0x1 Enable MCU clock <br />
. <br /></td></tr>
<tr class="separator:af351dbb3023d69271063f970f112dfd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc61505f24922669a88d6a5ed8f2630e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc61505f24922669a88d6a5ed8f2630e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mcu_clk_cfg__t.html#afc61505f24922669a88d6a5ed8f2630e">mcuClkSrc</a></td></tr>
<tr class="memdesc:afc61505f24922669a88d6a5ed8f2630e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the source of the MCU clock. Applicable only in case of MCU <br />
 clock enable.Else ignored. <br />
 Value Description <br />
 0x0 XTAL(as connected to the device) <br />
 0x1 RESERVED <br />
 0x2 600MHz PLL divided clock <br />
. <br /></td></tr>
<tr class="separator:afc61505f24922669a88d6a5ed8f2630e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50a4b8ede44b91c0dbb98248be1a72ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50a4b8ede44b91c0dbb98248be1a72ee"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mcu_clk_cfg__t.html#a50a4b8ede44b91c0dbb98248be1a72ee">srcClkDiv</a></td></tr>
<tr class="memdesc:a50a4b8ede44b91c0dbb98248be1a72ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field specifies the division factor to be applied to source clock. <br />
 Applicable only in case of MCU <br />
 clock enable. Else ignored. <br />
 Value Description <br />
 0x0 Divide by 1 <br />
 0x1 Divide by 2 <br />
 ... ... <br />
 0xFF Divide by 256 <br />
. <br /></td></tr>
<tr class="separator:a50a4b8ede44b91c0dbb98248be1a72ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a354f441e15cfb202742e808202182946"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a354f441e15cfb202742e808202182946"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mcu_clk_cfg__t.html#a354f441e15cfb202742e808202182946">reserved</a></td></tr>
<tr class="memdesc:a354f441e15cfb202742e808202182946"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a354f441e15cfb202742e808202182946"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmwave radar device MCU Clock output </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
